View Issue Details

IDProjectCategoryView StatusLast Update
0003580SOGoApple Calendar (Mac OS X)public2016-03-14 18:48
Reporterm_emelchenkov Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityrandom
Status resolvedResolutionfixed 
PlatformAppleOSOS XOS Version10.11.3
Fixed in Version3.1.0 
Summary0003580: Cannot save new event with Calendar on Mac OS X 10.11.3
Description

The same issue as http://sogo.nu/bugs/view.php?id=3538. Appears on a clean SOGo install, latest stable version (3.0.2-1, Ubuntu 14.04). The exact same situation as original author wrote:
"
Reproduced this issue today:

1) cannot create new calendar event (not task) with SOGo web UI (v3.0.1) with Chinese characters in event title. But it's fine with English title.

2) Cannot create new calendar event with iCalendar.app on Mac OS X. Cannot update existing event with Chinese characters.

Server error message is: "EXCEPTION: <NSException: 0x5614b7615688> NAME:NSInvalidArgumentException REASON:Tried to add nil to array INFO:(null)".
"

Steps To Reproduce

Try to create/edit many calendar records, it appears randomly and not really often

TagsNo tags attached.

Relationships

related to 0003538 resolvedludovic Cannot save new event with iCalendar on Mac OS X 10.11.3 

Activities

ludovic

ludovic

2016-03-13 09:06

administrator   ~0009734

Please produce a stack trace:

http://sogo.nu/nc/support/faq/article/how-do-i-debug-sogo-2.html

m_emelchenkov

m_emelchenkov

2016-03-13 12:50

reporter  

bt.txt (5,250 bytes)   
#0  -[NSException raise] (self=0x7ffff89fc268, _cmd=0x7ffff58f3aa0 <_OBJC_SELECTOR_TABLE+384>) at NSException.m:955
#1  0x00007ffff54325e6 in +[NSException raise:format:] (self=0x7ffff58f3d40 <_OBJC_Class_NSException>, _cmd=<optimized out>, name=0x7ffff58f4330 <_OBJC_INSTANCE_4>, 
    format=0x7ffff58aea50 <_OBJC_INSTANCE_8>) at NSException.m:835
#2  0x00007ffff537d1d9 in -[GSMutableArray addObject:] (self=0x7ffff89e3498, _cmd=<optimized out>, anObject=0x0) at GSArray.m:454
#3  0x00007ffff684ad7d in splitWordIfQPEncodingTooBig (s=<optimized out>) at NGMimeHeaderFieldGenerator.m:154
#4  +[NGMimeHeaderFieldGenerator encodeQuotedPrintableText:] (self=0x7ffff6ada7a0 <_OBJC_Class_NGMimeHeaderFieldGenerator>, _cmd=<optimized out>, input=<optimized out>)
    at NGMimeHeaderFieldGenerator.m:183
#5  0x00007ffff7b4c1d6 in -[NSString(SOGoURLExtension) asQPSubjectString:] (self=0x7ffff8a005f8, _cmd=0x7fffeb6c9480 <_OBJC_SELECTOR_TABLE+224>, 
    encoding=0x7fffeb6c8f00 <_OBJC_INSTANCE_3>) at NSString+Utilities.m:491
#6  0x00007fffeb49578d in -[SOGoAptMailReceipt getSubject] (self=0x7ffff8a69478, _cmd=0x7fffeb6afd00 <_OBJC_SELECTOR_TABLE+2464>) at SOGoAptMailReceipt.m:184
#7  0x00007fffeb46d907 in -[SOGoCalendarComponent sendReceiptEmailForObject:addedAttendees:deletedAttendees:updatedAttendees:operation:] (self=0x7ffff890d368, 
    _cmd=0x7fffeb6b3890 <_OBJC_SELECTOR_TABLE+2160>, object=0x7ffff8862838, theAddedAttendees=0x0, theDeletedAttendees=0x0, theUpdatedAttendees=0x0, theOperation=EventUpdated)
    at SOGoCalendarComponent.m:1076
#8  0x00007fffeb477ee0 in -[SOGoAppointmentObject updateContentWithCalendar:fromRequest:] (self=0x7ffff890d368, _cmd=0x7fffeb6b3f00 <_OBJC_SELECTOR_TABLE+3808>, 
    calendar=0x7ffff8937e08, rq=0x7ffff88881b8) at SOGoAppointmentObject.m:2296
#9  0x00007fffeb478064 in -[SOGoAppointmentObject PUTAction:] (self=0x7ffff890d368, _cmd=0x7ffff82fc2f0, _ctx=0x7ffff88635e8) at SOGoAppointmentObject.m:2341
#10 0x00007ffff6cedbd5 in -[SoSelectorInvocation primaryCallSelector:withArguments:] () from /usr/lib/libNGObjWeb.so.4.9
#11 0x00007ffff6cffc41 in -[SoObjectWebDAVDispatcher dispatchInContext:] (self=0x7ffff89555d8, _cmd=<optimized out>, _ctx=0x7ffff88635e8) at SoObjectWebDAVDispatcher.m:1775
#12 0x00007ffff6ce0d29 in -[SoObjectRequestHandler handleRequest:inContext:session:application:] () from /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff6c76d2e in -[WORequestHandler handleRequest:] (self=0x7ffff864f668, _cmd=<optimized out>, _request=0x7ffff88881b8) at WORequestHandler.m:237
#14 0x00007ffff6c3e68c in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x7ffff85de488, _cmd=<optimized out>, _request=0x7ffff88881b8, handler=0x7ffff864f668)
    at WOCoreApplication.m:712
#15 0x00007ffff7ff9f7a in -[SOGo dispatchRequest:] (self=0x7ffff85de488, _cmd=0x7ffff6feba10 <_OBJC_SELECTOR_TABLE+1840>, _request=0x7ffff88881b8) at SOGo.m:502
#16 0x00007ffff6cd1acd in -[WOHttpTransaction _run] (self=0x7ffff88c74f8, _cmd=<optimized out>) at WOHttpTransaction.m:596
#17 0x00007ffff6cd2f98 in -[WOHttpTransaction run] (self=0x7ffff88c74f8, _cmd=<optimized out>) at WOHttpTransaction.m:649
#18 0x00007ffff6cce03a in -[WOHttpAdaptor runConnection:] (self=0x7ffff87fc9e8, _cmd=<optimized out>, _socket=<optimized out>) at WOHttpAdaptor.m:367
#19 0x00007ffff6ccee76 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x7ffff87fc9e8, _cmd=<optimized out>, _connection=0x7ffff8915e58) at WOHttpAdaptor.m:401
#20 0x00007ffff6ccf20a in -[WOHttpAdaptor _handleConnection:] (self=0x7ffff87fc9e8, _cmd=<optimized out>, connection=0x7ffff8915e58) at WOHttpAdaptor.m:460
#21 0x00007ffff6ccf294 in -[WOHttpAdaptor acceptConnection:] (self=0x7ffff87fc9e8, _cmd=<optimized out>, _notification=<optimized out>) at WOHttpAdaptor.m:521
#22 0x00007ffff547043d in -[NSNotificationCenter _postAndRelease:] (self=0x7ffff831d9b8, _cmd=<optimized out>, notification=0x7ffff8905358) at NSNotificationCenter.m:1223
#23 0x00007ffff556a487 in -[GSRunLoopCtxt pollUntil:within:] (self=0x7ffff8580e98, _cmd=<optimized out>, milliseconds=<optimized out>, contexts=<optimized out>)
    at GSRunLoopCtxt.m:632
#24 0x00007ffff54b5d70 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x7ffff8567048, _cmd=<optimized out>, mode=0x7ffff5937520 <_OBJC_INSTANCE_2>, 
    limit_date=<optimized out>) at NSRunLoop.m:1195
#25 0x00007ffff54b4b8c in -[NSRunLoop runMode:beforeDate:] (self=0x7ffff8567048, _cmd=0x7ffff6f54e10 <_OBJC_SELECTOR_TABLE+1360>, mode=0x7ffff5937520 <_OBJC_INSTANCE_2>, 
    date=0x7ffff85dce28) at NSRunLoop.m:1263
#26 0x00007ffff6c3fa6e in -[WOCoreApplication run] (self=0x7ffff85de488, _cmd=<optimized out>) at WOCoreApplication.m:584
#27 0x00007ffff7ff9685 in -[SOGo run] (self=0x7ffff85de488, _cmd=0x7ffff6f772a0 <_OBJC_SELECTOR_TABLE+224>) at SOGo.m:326
#28 0x00007ffff6c64364 in WOApplicationMain (_appClassName=_appClassName@entry=0x7ffff81ff140 <_OBJC_INSTANCE_0>, argc=argc@entry=13, argv=argv@entry=0x7fffffffec18)
    at WOApplicationMain.m:42
#29 0x00007ffff6c803cf in WOWatchDogApplicationMain (appName=0x7ffff81ff140 <_OBJC_INSTANCE_0>, argc=13, argv=0x7fffffffec18) at WOWatchDogApplicationMain.m:1043
#30 0x00007ffff7ff856e in main (argc=13, argv=0x7fffffffec18, env=0x7fffffffec88) at sogod.m:51
bt.txt (5,250 bytes)   
m_emelchenkov

m_emelchenkov

2016-03-13 12:50

reporter   ~0009736

@ludovic. Thanks, done. Here is it please, I've uploaded it as bt.txt. Also, want to say I do not use Chinese letters, but Cyrillics (Russian) instead. I suppose, it could be somehow related with national symbols.

BTW, I currently installed the nighly build (to use fixes in ActiveSync), the problem still here and this backtrace is from this build.

ludovic

ludovic

2016-03-14 16:00

administrator   ~0009745

I can reproduce the issue - we'll fix it.

ludovic

ludovic

2016-03-14 18:48

administrator   ~0009746

https://github.com/inverse-inc/sope/commit/c975a7cf3b136a06e65721ef602b8849dd879e84

Also coming up in SOPE v2.3.9.

Issue History

Date Modified Username Field Change
2016-03-12 19:19 m_emelchenkov New Issue
2016-03-13 09:06 ludovic Note Added: 0009734
2016-03-13 12:50 m_emelchenkov File Added: bt.txt
2016-03-13 12:50 m_emelchenkov Note Added: 0009736
2016-03-14 06:51 Christian Mack Relationship added related to 0003538
2016-03-14 16:00 ludovic Note Added: 0009745
2016-03-14 18:48 ludovic Note Added: 0009746
2016-03-14 18:48 ludovic Status new => resolved
2016-03-14 18:48 ludovic Fixed in Version => 3.1.0
2016-03-14 18:48 ludovic Resolution open => fixed
2016-03-14 18:48 ludovic Assigned To => ludovic